import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MDLVertexBufferLayout extends _NSObject {
    static alloc(): _MDLVertexBufferLayout;
    static new(): _MDLVertexBufferLayout;
    init(): _MDLVertexBufferLayout;
    initWithStride$(stride: number): _MDLVertexBufferLayout;
    /**
     * @property stride @abstract stride in bytes of each vertex element in the buffer. @discussion - If you store multiple attributes interleaved in the vertex buffer, the stride will be the sum of sizes of each attribute (and any padding). - If you store multiple attributes non-interleaved (back to back), the stride will be the size of an attribute (and all attributes are required to have the same size).
     */
    stride(): number;
    setStride$(value: number): void;
}
export interface _MDLVertexBufferLayout extends _NSCopying {
}
